summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Wallis <mrdanwallis@gmail.com>2018-06-13 01:02:48 +0100
committerMarc Cornellà <marc.cornella@live.com>2018-06-13 02:02:48 +0200
commitfec0089cddf4eb6677d90561079f7a6cb0971197 (patch)
treef2ac13e6ed8652ab5a7247833a8b0843b68e858d
parent09fbc163663cd814488cb4be474f034525a8cca0 (diff)
downloadzsh-fec0089cddf4eb6677d90561079f7a6cb0971197.tar.gz
zsh-fec0089cddf4eb6677d90561079f7a6cb0971197.tar.bz2
zsh-fec0089cddf4eb6677d90561079f7a6cb0971197.zip
Quote $ZSH where necessary in install script (#6587)
Quote $ZSH where necessary in install script
-rwxr-xr-xtools/install.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tools/install.sh b/tools/install.sh
index ad47df785..b815a9c81 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -59,7 +59,7 @@ main() {
exit 1
fi
fi
- env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+ env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git "$ZSH" || {
printf "Error: git clone of oh-my-zsh repo failed\n"
exit 1
}
@@ -72,9 +72,9 @@ main() {
fi
printf "${BLUE}Using the Oh My Zsh template file and adding it to ~/.zshrc${NORMAL}\n"
- cp $ZSH/templates/zshrc.zsh-template ~/.zshrc
+ cp "$ZSH"/templates/zshrc.zsh-template ~/.zshrc
sed "/^export ZSH=/ c\\
- export ZSH=$ZSH
+ export ZSH=\"$ZSH\"
" ~/.zshrc > ~/.zshrc-omztemp
mv -f ~/.zshrc-omztemp ~/.zshrc